/**
  ******************************************************************************
  * @file    Project/STM32F10x_StdPeriph_Template/stm32f10x_it.c 
  * @author  MCD Application Team
  * @version V3.3.0
  * @date    04/16/2010
  * @brief   Main Interrupt Service Routines.
  *          This file provides template for all exceptions handler and 
  *          peripherals interrupt service routine.
  ******************************************************************************
  * @copy
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
  *
  * <h2><center>&copy; COPYRIGHT 2010 STMicroelectronics</center></h2>
  */ 

/* Includes ------------------------------------------------------------------*/
#include "stm32f10x_it.h"


/** @addtogroup STM32F10x_StdPeriph_Template
  * @{
  */

/* Private typedef -----------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/
/* Private macro -------------------------------------------------------------*/
/* Private variables ---------------------------------------------------------*/

extern uint8_t stan_led2, stan_led1;
extern  volatile uint32_t TDelay;

u16 capture = 0;
extern vu16 CC1;

/* Private function prototypes -----------------------------------------------*/
/* Private functions ---------------------------------------------------------*/

/******************************************************************************/
/*            Cortex-M3 Processor Exceptions Handlers                         */
/******************************************************************************/

/**
  * @brief   This function handles NMI exception.
  * @param  None
  * @retval None
  */
void NMI_Handler(void)
{
}

/**
  * @brief  This function handles Hard Fault exception.
  * @param  None
  * @retval None
  */
void HardFault_Handler(void)
{
  /* Go to infinite loop when Hard Fault exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Memory Manage exception.
  * @param  None
  * @retval None
  */
void MemManage_Handler(void)
{
  /* Go to infinite loop when Memory Manage exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Bus Fault exception.
  * @param  None
  * @retval None
  */
void BusFault_Handler(void)
{
  /* Go to infinite loop when Bus Fault exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles Usage Fault exception.
  * @param  None
  * @retval None
  */
void UsageFault_Handler(void)
{
  /* Go to infinite loop when Usage Fault exception occurs */
  while (1)
  {
  }
}

/**
  * @brief  This function handles SVCall exception.
  * @param  None
  * @retval None
  */
void SVC_Handler(void)
{
}

/**
  * @brief  This function handles Debug Monitor exception.
  * @param  None
  * @retval None
  */
void DebugMon_Handler(void)
{
}

/**
  * @brief  This function handles PendSVC exception.
  * @param  None
  * @retval None
  */
void PendSV_Handler(void)
{
}

/**
  * @brief  This function handles SysTick Handler.
  * @param  None
  * @retval None
  */
void SysTick_Handler(void)										// przerwanie co 1ms
{
	if((TDelay % 500) == 0) 									// co 500ms
	{
		if(stan_led1==1)										// zmiana stanu diody 1
			{stan_led1=0; GPIO_SetBits(GPIOB,GPIO_Pin_1);}
		else
			{stan_led1=1; GPIO_ResetBits(GPIOB,GPIO_Pin_1);}

	}
	if(TDelay == 1000)											// 1000ms
		TDelay = 0;												// zdliczanie TDealay od poczatku
	TDelay++;
}

void EXTI9_5_IRQHandler(void)									// przerwania na liniach IRQ5 do 9
{
  	EXTI_InitTypeDef EXTI_InitStructure;

  	GPIO_EXTILineConfig(GPIO_PortSourceGPIOB, GPIO_PinSource5);	// wylaczenie przerwania od GPIOB.5
  	EXTI_InitStructure.EXTI_Line = EXTI_Line5;					//
  	EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;			//
  	EXTI_InitStructure.EXTI_Trigger = EXTI_Trigger_Falling;		//
  	EXTI_InitStructure.EXTI_LineCmd = DISABLE;					//
  	EXTI_Init(&EXTI_InitStructure);								//

/*	if(stan_led2==1)											// zmiana stanu diody 2
		{stan_led2=0; GPIO_SetBits(GPIOB,GPIO_Pin_2);}			//
	else														//
		{stan_led2=1; GPIO_ResetBits(GPIOB,GPIO_Pin_2);}		//
*/
	EXTI_ClearITPendingBit(EXTI_Line5);							// ponowne zalaczenie przerwania od GPIOB.5
  	EXTI_InitStructure.EXTI_LineCmd = ENABLE;					//
  	EXTI_Init(&EXTI_InitStructure);								//

}

void TIM1_CC_IRQHandler(void)
{
   	TIM_ClearITPendingBit(TIM1, TIM_IT_CC1);
   	GPIO_SetBits(GPIOB,GPIO_Pin_2);
}
void TIM1_UP_IRQHandler(void)
{
   	TIM_ClearITPendingBit(TIM1, TIM_IT_Update);
   	GPIO_ResetBits(GPIOB,GPIO_Pin_2);
}

/******************************************************************************/
/*                 STM32F10x Peripherals Interrupt Handlers                   */
/*  Add here the Interrupt Handler for the used peripheral(s) (PPP), for the  */
/*  available peripheral interrupt handler's name please refer to the startup */
/*  file (startup_stm32f10x_xx.s).                                            */
/******************************************************************************/

/**
  * @brief  This function handles PPP interrupt request.
  * @param  None
  * @retval None
  */
/*void PPP_IRQHandler(void)
{
}*/

/**
  * @}
  */ 


/******************* (C) COPYRIGHT 2010 STMicroelectronics *****END OF FILE****/
